Package com.io7m.smfj.core

## Class SMFSchemaName.Builder

- java.lang.Object
- - com.io7m.smfj.core.SMFSchemaName.Builder

- Enclosing class:
    SMFSchemaName

      public static final class SMFSchemaName.Builder
      extends java.lang.Object

  Builds instances of type `SMFSchemaName`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SMFSchemaName` | `build()` | Builds a new `SMFSchemaName`.
    `SMFSchemaName.Builder` | `from​(SMFSchemaNameType instance)` | Fill a builder with attribute values from the provided `SMFSchemaNameType` instance.
    `SMFSchemaName.Builder` | `setValue​(java.lang.String value)` | Initializes the value for the `value` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final SMFSchemaName.Builder from​(SMFSchemaNameType instance)

      Fill a builder with attribute values from the provided `SMFSchemaNameType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setValue

          public final SMFSchemaName.Builder setValue​(java.lang.String value)

      Initializes the value for the `value` attribute.
      Parameters:
        `value` - The value for value
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public SMFSchemaName build()

      Builds a new `SMFSchemaName`.
      Returns:
        An immutable instance of SMFSchemaName
      Throws:
        `java.lang.IllegalStateException` - if any required attributes are missing